List published reports visible to the current actor.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/reporting/reports/navigator"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/reporting/reports/navigator';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/reporting/reports/navigator \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Runtime report navigator item visible to the current actor.
object
Report definition id.
Report key.
Report title.
Report description.
Report navigator metadata used by the dynamic report navigator.
object
Navigator category.
Navigator group.
Navigator icon.
Navigator ordering priority.
Searchable tags.
Whether the report is featured.
Optional additional search text.
Published version number.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Runtime report navigator item visible to the current actor.
object
Report definition id.
Report key.
Report title.
Report description.
Report navigator metadata used by the dynamic report navigator.
object
Navigator category.
Navigator group.
Navigator icon.
Navigator ordering priority.
Searchable tags.
Whether the report is featured.
Optional additional search text.
Published version number.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}